# $Revision: 1.29 $, $Date: 2007/02/12 22:09:23 $
Summary:	MPEG video playing plugin for XMMS
Summary(pl.UTF-8):	Wtyczka wejściowa dla XMMS-a odtwarzająca filmy MPEG
Name:		xmms-input-smpeg
Version:	0.3.5
Release:	4
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://www.xmms.org/files/plugins/smpeg-xmms/smpeg-xmms-%{version}.tar.gz
# Source0-md5:	07e49327e0d9e7f24781f29a12de94cf
Patch0:		%{name}-am15.patch
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	smpeg-devel >= 0.4.4
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Obsoletes:	smpeg-xmms
Obsoletes:	xmms-smpeg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin allows XMMS to play MPEG movies.

%description -l pl.UTF-8
Ta wtyczka pozwala XMMS-owi odtwarzać filmy w formacie MPEG.

%prep
%setup -q -n smpeg-xmms-%{version}
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CPPFLAGS="-L%{_libdir}"; export CPPFLAGS
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO NEWS README ChangeLog
%attr(755,root,root) %{xmms_input_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-smpeg.spec,v $
Revision 1.29  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.27  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.26  2004/04/14 12:21:31  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.25  2003/08/05 10:45:44  grzegol
- BR: smpeg-devel >= 0.4.4

Revision 1.24  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.23  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.20  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/07/20 22:00:15  kloczek
- release 2: use new %doc.

Revision 1.18  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/11 15:47:34  kloczek
- added am15 patch and regenerate lt files.

Revision 1.11  2002/01/11 13:42:57  kloczek
- updated to 0.3.5 (bugfix release).

Revision 1.10  2001/04/02 21:52:03  kloczek
- release 2: rebuild against SDL 1.2.0.

Revision 1.9  2001/02/14 05:45:46  kloczek
- regenerate all am/ac files.

Revision 1.8  2001/02/14 05:35:10  kloczek
- updated to 0.3.4.

Revision 1.7  2001/01/08 20:24:35  kloczek
- release 2: added xmms-smpeg and smpeg-xmms to Obsoletes.

Revision 1.6  2001/01/07 20:34:49  kloczek
- updated to 0.3.3.

Revision 1.5  2000/11/23 18:24:21  mkochano
- Release 2.
- Renamed: xmms-smpeg -> xmms-input-smpeg.

Revision 1.4  2000/11/20 00:52:32  kloczek
- cosmetics.

Revision 1.3  2000/10/31 17:39:29  mkochano
- Updated to 0.3.2.
- BuildRequires: smpeg-devel.

Revision 1.2  2000/09/22 19:42:46  mkochano
- Now configure finds XvGetVideo and doesn't (incorrectly) complain about too
  old version of XFree.

Revision 1.1  2000/09/22 17:41:45  mkochano
- Written from scra^Wtemplate ;) .
- Builds. Works.
